@font-face {
    font-family: "Felidae";
    src: url("fonts/Felidae.ttf") format("truetype");
}

@font-face {
    font-family: "Dudu";
    src: url("fonts/DuduCyrillic.ttf") format("truetype");
}
@font-face {
    font-family: "Nautica";
    src: url("fonts/Nautica.ttf") format("truetype");
}

@font-face {
    font-family: "GLU";
    src: url("fonts/GLUSTER.ttf") format("truetype");
}
@font-face {
    font-family: "Vasek";
    src: url("fonts/Vasek Italic_0.ttf") format("truetype");
}
@font-face {
    font-family: "Forum";
    src: url("fonts/Forum-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Caveat";
    src: url("fonts/Caveat.ttf") format("truetype");
}
@font-face {
    font-family: "georgia";
    src: url("fonts/georgia.ttf") format("truetype");
}

@font-face {
    font-family: "georgiai";
    src: url("fonts/georgiai.ttf") format("truetype");
}

@font-face {
    font-family: "Novelist";
    src: url("fonts/Novelist_free.otf") format("truetype");
}

@font-face {
    font-family: "Betmo";
    src: url("fonts/Betmo Regular Cyr.otf") format("truetype");
}

@font-face {
    font-family: "French";
    src: url("./fonts/FrenchKissscript.ttf");
}

@font-face {
    font-family: "Santa Catarina";
    src: url("./fonts/Santa Catarina.ttf");

}

@font-face {
    font-family: "Katherine";
    src: url("./fonts/Miss_Katherine_Cyrillic_Script.ttf");

}

* {
    margin: 0;
    padding: 0;
    /*font-family: "Cormorant Infant", sans-serif;*/
    font-family: "georgia", sans-serif;


}
body {
    overflow-x: hidden;
}

/*body::before {*/
/*    content: "";*/
/*    position: fixed;*/
/*    top: 0;*/
/*    left: 0;*/
/*    width: 100vw;*/
/*    height: 100vh;*/
/*    !*background:*!*/
/*    !*        linear-gradient(rgba(255,255,255,0.4), rgba(255,255,255,0.4)),*!*/
/*    !*        url(./images/fon1.jpg) no-repeat center center;*!*/
/*    background-size: cover;*/
/*    z-index: -1;*/
/*}*/
.desktop-message {
    display: none;
    text-align: center;
    margin-top: 150px;
    color: #e6ddd7;
}
.container {
    max-width: 1100px;
    margin: 0 auto;
}

.hidden {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.hid {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 3s ease-out;
}

.hidden-his {
    opacity: 0;
    transform: translateY(-50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.hidden-left {
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hidden-center {
    opacity: 0;
    transform: scale(0.8);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hidden-right {
    opacity: 0;
    transform: translateX(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.watermark {
    content: "ya-invite";
    position: fixed;
    font-size: 80px;
    color: rgba(0, 0, 0, 0.3);
    transform: rotate(-25deg);
    pointer-events: none;
    z-index: 555;
    white-space: nowrap;
    font-weight: 600; /* выглядит аккуратнее */
}


body::before {
    content: "ya-invite";
    position: fixed;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.1);
    pointer-events:none;
    z-index:555;
    white-space:nowrap;
}

body::after {
    content: "ya-invite";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0, 0, 0, 0.1);
    pointer-events:none;
    z-index:555;
    white-space:nowrap;
}

html::after {
    content: "ya-invite";
    position: fixed;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0, 0, 0, 0.1);
    pointer-events:none;
    z-index:555;
    white-space:nowrap;
}

/* Когда элементы становятся видимыми */
.show {
    opacity: 1;
    transform: translateY(0);
}
.hidden-center.show {
    opacity: 1;
    transform: scale(1);
}
.ruka {
    opacity: 0;
    transform: translateY(100px);
    transition: transform 3s ease, opacity 3s ease;
}
.invite-date, .invite-text, .invite-text-t, .text-q {
    opacity: 0;
    transform: translateY(-100px);
    transition: transform 3s ease, opacity 3s ease;
}
.invite-date.show, .invite-text.show, .invite-text-t.show, .text-q.show {
    opacity: 1;
    transform: translateY(0) scale(1);
}
.ruka.show {
    opacity: 1;
    transform: translateY(0) scale(1);
}
#preloader {
    background-color: rgba(246, 242, 242, 0);
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: black;
    font-size: 24px;
    font-family: Arial, sans-serif;
    flex-direction: column;
    opacity: 1;
    transition: opacity 1s ease;
    text-align: center;
    overflow: hidden;
    z-index: 1000;
}
.square {
    background-color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    transition: transform 3s ease, opacity 3s ease;

}
#preloader.fades .square {
    opacity: 0;
    transition: opacity 1s ease;
}
/*#content {*/
/*    opacity: 1; !* виден с самого начала *!*/
/*    transition: opacity 1s ease;*/
/*    position: relative;*/
/*    z-index: 1; !* ниже прелоадера *!*/
/*}*/
#bg-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: -1;
}


.konvert-wrapper {
    position: absolute;
    top: -5px;
    left: 50%;
    transform: translate(-50%);
    z-index: 2;
}
.open-btn {
    position: absolute;
    top: 405px;      /* двигай как нужно */
    left: 50%;
    z-index: 555555;
    transform: translate(-50%, -50%);
}
.open-btn img {
    width: 220px;
}
.top-konvert, .niz-konvert {
    position: absolute;
    width: 800px;
}
.top-konvert img, .niz-konvert img{
   width: 100%;
}
/*.niz-konvert {*/
/*    top: 40%;*/
/*    left: 50%;*/
/*    rotate: 180deg;*/
/*    transform: translate(50%);*/
/*    !*transition: transform 1s ease, opacity 1s ease;*!*/
/*    z-index: 1;*/
/*}*/
.niz-wrapper {
    position: absolute;
    bottom: 425px; /* или 40% если нужно */
    left: 50%;
    width: 800px;
    transform: translateX(-50%);
    z-index: 1;
    transition: transform 3s ease, opacity 3s ease;
}

.niz-wrapper .niz-konvert {
    display: block;
    width: 100%;
    transform: rotate(180deg); /* визуальный поворот */
}
.top-konvert {
    top: -5px;
    left: 50%;
    transform: translate(-50%);
    z-index: 2;
    transition: transform 3s ease, opacity 3s ease;
}
#preloader.animate .top-konvert {
    transform: translateX(-50%) translateY(-200px); /* верх уходит вверх */
    opacity: 0;
}

#preloader.animate .niz-wrapper {
    transform: translateX(-50%) translateY(200px) ; /* низ уходит вниз */
    opacity: 0;
}

#preloader .open-btn {
    transition: opacity 1s ease;
}


#preloader.animate .preloader-text,
#preloader.animate .open-btn {
    opacity: 0;
}

.preloader-text {
    pointer-events: none;
    height: 90vh;
    position: relative;
    z-index: 111111;
    /*background: rgba(0, 0, 0, 0.3); !* Затемнённый фон для текста *!*/
    /*padding: 70px;*/
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;

}
#music-toggle {
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
    padding: 10px 10px 12px 12px;
    font-size: 20px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    box-sizing: border-box;
    border: 1px solid gray;
    transition: background-color 0.3s;
    display: none;
}
#music-toggle:hover {
    background-color: rgba(255, 255, 255, 0.5);
}
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}


.open {
    font-family: 'georgiai', sans-serif;
    /*margin-top: 30px;*/
    /*font-size: 100px;*/
    position: relative;

}
.open img {
    width: 200px;
}
.open span{
    font-family: 'georgiai', sans-serif;
    position: absolute;
    top: 21px;
    left: 25px;
}

.preloader-wed-day, .preloader-name, .razblock {
    opacity: 0;
    transform: scale(0.8);
    filter: blur(10px);
    animation: fadeInScale 0.5s ease-out forwards;
}



.pulse-heart {
    width: 50px; /* Размер сердечка */
    height: 50px;
    animation: heartPulse 1s infinite;
    z-index: 2;
}


.preloader-wed-day {
    font-size: 50px;
    font-family: "Betmo", sans-serif;
    animation-delay: 0.3s;
}

.preloader-name {
    font-size: 65px;
    margin: 30px 0 50px 0;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.3s;
    color: #730e23;
}

.preloader-name.fraza {
    font-size: 30px;
    margin-bottom: 30px;
    font-family: "georgia", sans-serif;
    animation-delay: 0.3s;
}
.preloader-name span {
    font-family: "georgia", sans-serif;
    /*font-family: "georgiai", sans-serif;*/
}
.razblock {
    /*margin-left: -40px;*/
    animation-delay: 0.3s;
    color: #730e23;
}

@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}

.photo-slider {
    margin: 30px auto;
    display: flex;
    gap: 20px; /* Расстояние между фото */
    overflow: hidden;
    justify-content: center;
    align-items: center;
    width: fit-content;
    position: relative;
    object-fit: cover;
    animation: slide 6s ease-in-out infinite alternate;
}


img.photo2 {
    width: 150px !important; /* Размер фото */
    height: 230px;
    object-fit: cover;
}

img.photo1 {
    width: 130px !important; /* Размер фото */
    height: 200px;
    object-fit: cover;
}

@keyframes slide {
    0% {
        transform: translateX(-30px);
    }
    100% {
        transform: translateX(0px);
    }
    /* Движение вправо */
}

.invite {
    position: relative;
    text-align: center;
    padding-top: 150px;
    padding-bottom: 50px;
    overflow: hidden;
}
.plashka {
    position: absolute;
    bottom: -63px;
    left: 50%;
    transform: translate(-50%);

}
.plashka-text {
    position: absolute;
    top: 43%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: "Caveat", sans-serif;
    color: #fff;
    font-size: 50px;
    width: 100%;
}
.plashka svg{
    width: 360px;
    height: auto;
    rotate: -180deg;
}
.heart1 {
    position: absolute;
    top: -100px;
    left: 0;
    rotate: -30deg;
}
.heart1 svg {
    width: 80px;
    height: auto;
}

.heart2 {
    position: absolute;
    top: -65px;
    left: 150px;
}
.heart2 svg {
    width: 80px;
    height: auto;
}
.heart3 {
    position: absolute;
    top: -65px;
    right: 0;
    rotate: 30deg;
}
.heart3 svg {
    width: 80px;
    height: auto;
}
.heart4 {
    position: absolute;
    top: -115px;
    rotate: -30deg;
    left: 75px;
}
.heart4 svg {
    width: 60px;
    height: auto;
}
.heart5 {
    position: absolute;
    top: -85px;
    rotate: 0deg;
    right: 75px;
}
.heart5 svg {
    width: 60px;
    height: auto;
}
.heart6 {
    position: absolute;
    top: 70px;
    rotate: 0deg;
    right: 10px;
}
.heart6 svg {
    width: 40px;
    height: auto;
}
.heart7 {
    position: absolute;
    top: 35px;
    rotate: -40deg;
    left: 10px;
}
.heart7 svg {
    width: 40px;
    height: auto;
}
.invite-date {
    font-family: 'Forum', sans-serif;
    margin-bottom: 30px;
}
.invite.two-invite {

    position: relative;
    overflow: hidden;
    text-align: center;
    padding: 50px 0;
}

.invite-text {
    font-family: "Dudu", sans-serif;
    color: #730e23;
    font-size: 30px;
}
.invite-text-t{
    font-family: "Caveat", sans-serif;
    font-size: 50px;
    color: #730e23;
    margin-bottom: 50px;
}
.text-q {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin-bottom: 10px;

}
.q1, .q2 {
    font-family: "Vasek", sans-serif;
    font-size: 30px;
    line-height: 0.8;
    color: #730e23;
}

.invite-title {
    margin-top: 0px;
    width: 100vw;
    overflow: hidden;
    white-space: nowrap;
    background: #730e23;
    color: white;
    padding: 20px 0;
    position: relative;
    display: flex;
    align-items: center;
}
.invite-title.invite-title2 {
    margin-bottom: 50px;
}

.invite-title-content {
    display: flex;
    gap: 50px;
    position: absolute;
    white-space: nowrap;
    will-change: transform;
}

.invite-title-content span {
    font-size: 30px;
    font-family: "Vasek", sans-serif;
}

.names {
    position: absolute;
    top: 20px;
    left: 46%;
    transform: translate(-50%);
}
.name1 {
    font-size: 60px;
    font-family: "georgiai", sans-serif;
    white-space: nowrap;

}
.name1 span {
    font-size: 60px;
    font-family: "Lucian", sans-serif;
}



.name-his, .name-her {
    font-family: "Felidae", sans-serif;
    color: #3f3731;
    font-size: 70px;

    font-weight: bold;
}


.image {
    position: relative;
    margin: 0 auto;
}


.text-usnali.text-imena {
    margin-top: 90px;
    font-family: "Caveat", sans-serif;
    color: #730e23;
    font-size: 40px;
    position: relative;
    margin-left: -75px;
}
.text-imena svg {
    width: 70px;
    height: auto;
    position: absolute;
    top: -15px;
    right: 75px;
}
.text-svg {
    position: absolute;
    bottom: -45px;
    left: 50%;
    transform: translate(-50%);
}
.text-svg svg{
    width: 185px;
}
.invite img {
    width: 100%;
    object-fit: contain;
    margin-top: -100px;
}

.invite .name {
    font-family: "Betmo", sans-serif;
}




/* Анимация плавного появления с середины */
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}

.invite-name {
    color: #706556;
    font-size: 60px;
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    opacity: 1;
    font-family: "Felidae", sans-serif;
    z-index: 2;
    position: relative;
    text-align: left;
    padding: 80px 0;

}

.invite-name span {
    font-family: "Great Vibes", sans-serif;
    opacity: 0;
    transform: translateY(10px);
    display: inline-block;
    animation: fadeIn 0.8s forwards ease-in-out;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.invite-name .simvol {
    /*font-family: "Felix Titling", sans-serif;*/
    /*font-family: "Algerian", sans-serif;*/
    font-family: "French", sans-serif;
    /*font-size: 100px;*/
}



.program-title, .dress-title, .location-text-title, .dresscode-title, .wishes-title, .organizer-title, .location-title, .presence-title, .timout-title {
    font-size: 50px;
    margin-bottom: 20px;
    color: #730e23;
    font-family: "Forum", sans-serif;
}
.organizer-title {
    color: #730e23;
}

.dresscode-title {
   color: #730e23;

}

.details .dresscode-title {
    color: white;
    margin-bottom: 100px;

}


.calendar {
    border-radius: 180px;
    max-width: 100%;
    padding: 70px 25px 70px;
    margin-top: 20px;
    background-color: #730e23;
    text-align: center;
    display: inline-block;
    position: relative;
}
.invite .cal-img {
    position: absolute;
    top: 90px;
    left: 46%;
    width: 100px;
    transform: rotate(30deg) translate(-50%);
}
.save-text {
    position: absolute;
    bottom: 60px;
    right: 25px;
    font-size: 30px;
    font-family: "Vasek", sans-serif;
    color: #ffffff;
    width: 100px;
    line-height: 0.5;
    transform: rotate(-20deg);
}
.save-strelka {
    position: absolute;
    bottom: 45px;
    right: 85px;
    color: #ffffff;
    transform: rotate(-35deg);
}
.save-strelka svg{
    width: 60px;
    height: auto;

}
.calendar-date {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    justify-content: center;
}

.calendar-date .month,
.calendar-date .year {
    font-size: 46px;
    color: white;
    font-family: "georgia", sans-serif;
}

.days {
    display: grid;
    color: white;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    font-size: 20px;
    justify-items: center;
    justify-content: center;
}

.day {
    padding: 10px;
    width: 30px;
    height: 30px;
    position: relative;
    font-family: "georgia", sans-serif;
}

.day.empty {
    background: transparent;
}

.heart {
    font-size: 46px;
    position: absolute;
    bottom: -23px;
    right: -14px;
    z-index: 55;
    animation: heartbeat 3s ease-in-out infinite;
}
@keyframes heartbeat {
    0%   { transform: scale(1); }
    25%  { transform: scale(1.15); }
    50%  { transform: scale(1); }
    75%  { transform: scale(1.1); }
    100% { transform: scale(1); }
}
.heart img {
    width: 80px;
    height: 80px;
}

.main {
    padding: 0 0 50px 0;
    background-color: #f9f9f9;
    position: relative;
    overflow: hidden;
    width: 100vw;

}

.main img {
    position: absolute;
    top: 48px;
    width: 860px;
    right: -84px;
}

.main-info {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

/*.dear {*/
/*    font-size: 100px;*/
/*    color: #7a0f21;*/
/*    margin-bottom: 30px;*/
/*}*/
.no-fonts {
    font-size: 36px;
    color: #730e23;
    text-align: center;
    font-family: "georgia", sans-serif;
}
.invite-text-two.no-fonts {
    margin-top: 10px;
    font-size: 30px;
}

.music-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 50px;
    gap: 30px;
    margin-bottom: 30px;
}

.music-button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    order: 2;
}


.music-btn {
    width: 50px;
    height: 50px;
    background: transparent !important;
    border: 1px solid #3f3731;
    border-radius: 50%;
    color: #3f3731;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    cursor: pointer;
    position: relative;
    z-index: 2;
    order: 2;
}


.music-text {
    font-size: 30px;
    text-align: left;
    color: #706556;
    order: 1;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 0.8;
    }
    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}

.main h2 {
    font-size: 62px;
    color: #3f3731;
    margin-bottom: 20px;
}
.photo-img {
    width: 100%;
    margin-bottom: 50px;
    max-width: 500px;
}
.images {
   display: flex;
    align-items: center;
    justify-content: center;
}
.photo-img2 {
    width: 100%;
    margin: 40px 0;
    max-width: 500px;
}
.wed-date, .location {
    display: flex;
    align-items: start;
    justify-content: space-around;
    gap: 0;


}
.gallery {
    background-color: #730e23;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
    padding: 15px;
    box-sizing: border-box;
    margin-bottom: 50px;
}

/* сами фото */
.gallery img {
    margin-top: 0;
    width: 100%;
    height: 200px;
    object-fit: cover;
}
.location {
    overflow: hidden;
    position: relative;

}
img.loc-img {
    margin-top: 0;
}
.location .zhemchug {
    opacity: 0.5;
}
.wed-date-text {
    max-width: 350px;
    width: 50%;
    color: #3f3731;
}

.wed-date-text-title {
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    margin-top: 50px;
    font-family: "Felidae", sans-serif;
}

.location-text-title {

    text-align: center;

    color: #3f3731;


}

.location-text-info {
    margin-top: 30px;
    font-size: 23px;
    color: #730e23;
    text-align: center;
    font-family: "georgia", sans-serif;
}

.wed-date-text-date {
    font-size: 50px;
    font-weight: bold;


    text-align: center;

}

.wed-date-image, .location-date-image {
    width: 50%;

}

.location-text-map {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.location-text-map a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: #730e23;
    font-size: 20px;
    font-family: 'georgia', sans-serif;
    border: 1px solid #730e23;
    border-radius: 30px;
    padding: 10px;
    width: 100%;
    box-sizing: border-box;
}

.location-text-map a:hover {
    border: 1px solid #4f4a45;
    color: #330610;
    fill: white;
    background-color: #4f4a45;
}



.location-text-map a:hover svg path {
    fill: white;
}

.location-text {
    width: 80%;
}

.wed-date-image img {
    width: 100%;
    height: 560px;
    object-fit: cover;
    object-position: -95px 0;
}

.location-date-image img {
    width: 100%;
    height: 560px;
    object-fit: cover;
    /*clip-path: inset(0px 50px 0px 50px);*/
    object-position: -110px 0;
}

.photo-table {
    height: 250px;
    overflow: hidden;
    width: 100%;
}

.photo-table img {
    object-position: 0 -400px;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.photo-table img.img-img {
    object-position: 0 -191px;
    object-fit: cover;
    width: 100%;
    height: 100%;
}
.svg-line {
    width: 475px;
    height: auto;
    position: absolute;
    top: 46%;
    transform: translateY(-50%);
    left: 93px;
    rotate: -11.5deg;
}
.svg-line2 {
    width: 475px;
    height: auto;
    position: absolute;
    top: 46%;
    transform: translateY(-50%) scaleX(-1);
    right: 93px;
    rotate: 11.5deg;
}
.program {
    padding-top: 50px;
    padding-bottom: 100px;
    width: 100%;
    overflow: hidden;
    position: relative;

}
.program .flow {
    position: absolute;
    top: 60px;
    left: -14px;
    width: 170px;
    height: 170px;
    opacity: 0.8;
}
.program .flow2 {
    position: absolute;
    bottom: 50px;
    right: -12px;
    width: 180px;
    height: 180px;
    rotate: 30deg;
}
.flow img {
    width: 100%;
    height: 100%;
}

.program .container {
    text-align: center;

}

.program-title {
    position: relative;
}



.timeline {
    display: flex;
    flex-direction: column;
    justify-content: center;
    /*align-items: center;*/

}
.line {
    height: 100px;
    width: 2px;
    background-color: #730e23;
    display: inline-block;
    margin: 20px auto;

}

.event {
    flex-shrink: 0;

}
.event:nth-child(1) {
    margin-bottom: 120px;
}
.event:nth-child(2) {
    margin-bottom: 200px;
}
.event:nth-child(3) {
    margin-bottom: 0px;
}


.time-info {
    color: #000000;
    text-align: left;
}

.time-info a {
    text-decoration: none;
    color: #000000;
    font-family: "georgia", sans-serif;
}


.description span {
    font-size: 23px;
}

.time-info-time {
    font-family: "georgia", sans-serif;
    font-size: 36px;
    text-align: center;
    color: #730e23;
}
.time-info-time span{
    font-size: 40px;
    font-family: "GLU", sans-serif;
    font-weight: bold;
}


.description {
    font-size: 18px;
    margin-top: 10px;
    color: #730e23;
    font-family: "georgia", sans-serif;

}
.description .zags {
    border: 1px solid black;
    padding: 10px;
    border-radius: 30px;
    display: block;
    width: 100%;
    box-sizing: border-box;
    text-align: center;
}
.time-info .text {
    font-size: 16px;
}

.icon.first img {
    width: 160px;
}

.icon.second img, .icon.three img, .icon.four img {
    width: 100px;
    height: 100px;
}
.if {
    margin-bottom: 50px;
}
.dress-title {
    text-align: center;
    /*display: flex;*/
    /*align-items: self-start;*/
    /*color: #730e23;*/
    /*max-width: 500px;*/
    /*margin: 0 auto;*/

}
.dress-title span{
    /*writing-mode: vertical-rl; !* текст вертикально *!*/
    /*transform: rotate(180deg); !* чтобы читался снизу вверх *!*/
    /*font-size: 60px;*/
    /*font-family: "Forum", sans-serif;*/
    /*white-space: nowrap; !* чтобы не переносился *!*/
    /*margin-right: 20px;*/
    /*letter-spacing: 10px;*/
}
.photo-dress {
    background-color: #730e23;
    width: 75%;
    height: 400px;
    margin-left: auto;

}
.photo-dress img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.dresscode-block {
    padding-bottom: 50px;
    overflow: hidden;
    text-align: center;
    position: relative;

}
.rakushka {
    position: absolute;
    top: 120px;
    left: 50%;
    transform: translate(-50%);
    width: 320px;
    height: 530px;
    z-index: 1;
    opacity: 0.3;
    rotate: 30deg;
    display: block;
}
.dresscode {
    text-align: center;
}

.details {
    background-image: url(./images/photo3_beige.png);
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    background-position: center;
    overflow: hidden;
    text-align: center;
    margin-top: -25px;
    padding: 50px 0;
}
.details .dresscode-info-text {
     color: white;
}
.dresscode-info-text {
    /*margin-top: 30px;*/
    text-align: left;
    margin-bottom: 120px;
    font-family: "georgia", sans-serif;
    color: #730e23;
    position: relative;
    z-index: 55555;
}
.dresscode-info-text.text-dress {
    margin-bottom: 50px;
    text-align: center;
}
.dresscode-info-text:last-child {
    margin-bottom: 20px;
}
.presence .dresscode-title {
    color: white;
    margin-bottom: 20px;
}
.number {
    position: absolute;
    top: -125px;
    left: 50%;
    transform: translate(-50%);
    font-size: 180px;
    font-weight: normal;
    font-family: "GLU", sans-serif;
    color: rgba(255, 255, 255, 0.5);
}
.dresscode-info-text span {
    text-align: left;
    display: block;
}
.woman-dress span {
    margin-top: 30px;
}
.man-dress span {
    margin-top: 30px;
    margin-bottom: 30px;
}
.woman-dress span, .man-dress span{
    display: flex;
    align-items: flex-start;
}


.dress-img {
    position: relative;
    width: 100%;
    height: 250px;
    display: flex;
    margin-left: -20px;
    overflow-x: clip;
}
.dress-img img{
    position: absolute;
    width: 200px;
    height: 270px;
    object-fit: contain;
}
.dress-img1 {
    top: -26px;
    left: -18px;
}
.dress-img2 {
    top: -71px;
    left: 27px;
}
.dress-img3 {
    top: 0;
    left: 72px;
}
.dress-img .dress-img4 {
    width: 200px;
    height: 295px;
    top: -50px;
    left: 136px;
}
.dress-img5 {
    top: 0;
    left: 177px;
}
.dress-img6 {
    top: 0;
    left: 210px;
}
.dress-img7 {
    top: -26px;
    left: -20px;
    z-index: 2;
}
.dress-img8 {
    top: -71px;
    left: 2px;
}
.dress-img9 {
    top: -22px;
    left: 27px;
}
.dress-img .dress-img10 {
    top: -3px;
    left: 85px;
    width: 150px;
    height: 270px;
}
.dress-img .dress-img11 {
    width: 160px;
    height: 270px;
    top: 12px;
    left: 132px;
}
.dress-img .dress-img12 {
    width: 255px;
    height: 295px;
    top: -15px;
    left: 142px;
    z-index: -1;
}
.dress-img13 {
    top: 0;
    left: 232px;
}
/*.dresscode-block-info-blocks > * {*/
/*    margin: -10px; !* Используем отрицательные маргины для элементов *!*/
/*}*/
.dresscode-block-strelka {
    width: 100%;
    overflow: hidden;
    position: relative;
}
.strelka-text {
    text-align: left;
    font-size: 16px;

}
.strelka-text svg {
    width: 80px;
    height: 30px;
    margin-left: -10px;
    margin-top: -10px;
}
.strelka-images {
    display: flex;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
    -ms-overflow-style: none;
    gap: 20px;
    max-width: 100%;
    white-space: nowrap;

}
.strelka-images img {
    flex-shrink: 0;
    min-width: 250px;
    height: 400px;
    object-fit: cover;
}
.strelka-images::-webkit-scrollbar {
    display: none; /* Для скрытия полосы прокрутки в Webkit-браузерах */
}
.dresscode-block-info-blocks {
    display: flex;
    flex-wrap: wrap;
    column-gap: 20px;
    row-gap: 5px;
    justify-content: center;
}
.dresscode-block-info-block {
    width: 60px;
    height: 60px;
    border-radius: 50%;

}
.break {
    flex-basis: 100%;
    height: 0;
}
.dresscode-block-info-block.one {
   background-color: #4f2a1a;

}
.dresscode-block-info-block.two {
   background-color: #2e1a0e;

}
.dresscode-block-info-block.three {
   background-color: #461312;

}
.dresscode-block-info-block.four {
   background-color: #6c0b25;

}
.dresscode-block-info-block.five {
   background-color: #976367;

}
.dresscode-block-info-block.six {
   background-color: #cbabac;

}
.dresscode-block-info-block.seven {
   background-color: #e3d7c9;

}
.dresscode-block-info-block.eight {
   background-color: #8c8a45;

}
.dresscode-block-info-block.nine {
   background-color: #aeb081;

}
.dresscode-block-info-block img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.man-dress {
    margin-top: 30px;
}

.dresscode-info-blocks > * {
    margin: -10px; /* Используем отрицательные маргины для элементов */
}


.organizer {
    padding-top: 30px;
    position: relative;
    color: #000000;
    font-family: "georgia", sans-serif;
}
.organizer .zhemchug {
    position: absolute;
    top: 0;
    left: 20px;
    width: 80px;
    height: 80px;

}
.organizer .zhemchug0org {
    position: absolute;
    top: 0;
    right: 20px;
    width: 80px;
    height: 80px;
    opacity: 0.8;

}
.organizer .zhemchug1org {
    position: absolute;
    bottom: 0;
    left: 20px;
    width: 100px;
    height: 100px;
    opacity: 0.8;

}
.organizer .zhemchug2org {
    position: absolute;
    bottom: -90px;
    left: 95px;
    width: 90px;
    height: 90px;
    opacity: 0.8;

}
.organizer .container {
    text-align: center;
}




.organizer-text {
    font-size: 23px;
    margin-bottom: 20px;
    font-family: "georgia", sans-serif;
    color: #730e23;
}

.organizer-name {
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #730e23;
    font-family: "georgia", sans-serif;
}

.organizer-name span {
    font-size: 20px;
    color: #730e23;
}

.organizer a {
    font-size: 30px;
    text-decoration: none;
    outline: none;
    color: #730e23;
    display: inline-block;
    cursor: pointer;
   font-family: "georgia", sans-serif;
}

.organizer a:hover {
    color: #000000;

}


.phone .telegram-link {
    margin-top: 10px;
}

.phone span {
    color: #730e23;
    font-size: 30px;
    font-family: "georgia", sans-serif;
}

.presence {
    padding-top: 20px;
    text-align: center;
    position: relative;
}
.bokal1 {
    position: absolute;
    top: 130px;
    left: 42%;
    transform: translate(-50%);
    opacity: 0.2;
    rotate: 30deg;
    width: 350px;
}
.bokal2 {
    position: absolute;
    bottom: -153px;
    left: -34%;
    transform: translate(-50%);
    opacity: 0.2;
    width: 350px;
    rotate: 150deg;
}
.presence-text {
    text-align: center;
    font-size: 30px;
    margin-bottom: 30px;
    color: white;
    font-family: "georgia", sans-serif;

}

.presence svg {
    width: 120px;
    height: 76px;
}

.des {
    font-size: 18px;
    font-family: "georgia", sans-serif;
    color: white;
}

.wedding-form * {
    box-sizing: border-box;
}

.wedding-form {
    color: white;
    text-align: left;
    max-width: 700px;
    margin: 0 auto;
    padding: 50px 0;
    font-size: 30px;
    font-family: "georgia", sans-serif;

    fieldset {
        border: none;
        margin-bottom: 15px;
    }

    legend {
        font-family: "georgia", sans-serif;
        display: block;
        margin-bottom: 5px;
    }

    label {
        font-family: "georgia", sans-serif;
        margin: 5px 0;
        display: flex;
        align-items: center;
        gap: 10px;
        cursor: pointer;
    }

    input[type="text"] {

        width: 100%;
        border: 1px solid white;
        outline: none;
        background: transparent;
        padding: 15px;
        font-size: 16px;
        margin-top: 5px;
        font-family: "georgia", sans-serif;

    }
    .wedding-form input::placeholder {
        color: white;
    }
    .wedding-form input[type="radio"],
    .wedding-form input[type="checkbox"],
    textarea {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    textarea {
        min-height: 100px;
    }

    button {
        font-family: "georgia", sans-serif;
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none;
        width: 100%;
        padding: 10px;
        background: transparent;
        color: white;
        border: 1px solid white;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #e6ddd7;
        }
    }
}

@supports (-webkit-appearance: none) {
    .wedding-form {
        max-width: 700px;
        margin: 0 auto;
        padding: 50px 0;
        font-size: 30px;
        font-family: "Cormorant Infant", sans-serif;
    }
    /* Скрываем стандартный checkbox */
    .wedding-form input[type="checkbox"] {
        -webkit-appearance: none;
        appearance: none;
        width: 20px;
        height: 20px;
        border: 1px solid white; /* рамка */
        border-radius: 50%;
        background-color: transparent;
        cursor: pointer;
        position: relative;
    }

    /* Галочка при выборе */
    .wedding-form input[type="checkbox"]:checked::after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 14px;
        height: 14px;
        background-color: white; /* цвет галочки */
        border-radius: 50%;
    }

    /* Для радио */
    .wedding-form input[type="radio"] {
        -webkit-appearance: none;
        appearance: none;
        width: 20px;
        height: 20px;
        border: 1px solid white;
        border-radius: 50%;
        background-color: transparent;
        cursor: pointer;
        position: relative;
    }

    /* Точка при выборе */
    .wedding-form input[type="radio"]:checked::after {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 10px;
        height: 10px;
        background-color: white; /* цвет точки */
        border-radius: 50%;
    }
    .wedding-form input::placeholder {
        color: white;
    }
    fieldset {
        border: none !important;
        padding: 0;
    }

    legend {
        margin-bottom: 5px;
    }

    label {
        display: flex;
        align-items: center;
        gap: 10px;
        cursor: pointer;
    }

    input[type="text"],
    textarea {
        width: 100%;
        padding: 8px;
        border: 1px solid white;
        font-size: 16px;
        background-color: transparent;
        color: white;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        background: white;
        width: 100%;
        padding: 10px;
        border: 1px solid white;
        color: white;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;
        font-weight: bold;

        &:hover {
            background: gray;
        }

        &:focus {
            outline: none; /* Убирает синюю рамку при фокусе */
        }
    }
}

.timout {
    padding-bottom: 50px;
    position: relative;
    z-index: 1;
    overflow: hidden;
}
.main-photos {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-bottom: 30px;


}
.main-photo-one {
    width: 300px;
}
.main-photo-one img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
    margin-top: 0px;

}
.main-photo-two {
    width: 300px;
    background-size: cover;

}
.main-photo-two img {
    display: block;
    width: 100%;
    height: auto;
    object-fit: cover;
    margin-top: 100px;
}
/*.timout img {*/
/*    width: 415px;*/
/*    height: 700px;*/
/*    position: absolute;*/
/*    top: 0px;*/
/*    left: 50%;*/
/*    transform: translate(-50%);*/
/*}*/
.spot {
    position: absolute;
    top: -20px;
    left: 50%;
    width: 300px;
    height: 300px;
    transform: translate(-50%); /* центрирование */
    background: radial-gradient(circle, rgba(198,179,167,0.8) 0%, rgba(198,179,167,0) 70%);
    pointer-events: none; /* чтобы не мешало кликам */
    border-radius: 50%;
}

/* Содержимое должно быть выше затемнения */
.timout > * {
    position: relative;
    z-index: 2;
}

.timout-svg {
    text-align: center;
}

.timout-svg svg {
    width: 120px;
    height: 100px;
}

.timout-title {
    font-size: 50px;
    color: #730e23;
    text-align: center;
    /*font-weight: bold;*/
    margin-bottom: 20px;
    font-family: "Forum", sans-serif;
}

#countdown {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.time-box {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    /*border: 1px solid #7a0f21;*/
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #730e23;
    text-align: center;
    position: relative;
    justify-content: center;

}

.progress-ring {
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 100px;
}

.time-box svg {
    transform: rotate(-90deg);
}

circle {
    fill: none;
}

.background {

}

.progress {
    stroke: #730e23;
    transition: stroke-dashoffset 0.35s;
}

.time-box span {
    font-size: 18px;
    line-height: 1;
    z-index: 2222;
    transform: rotate(90deg);
}

.time-box p {
    margin: 5px 0 0;
    font-size: 14px;
    z-index: 222;
}

.time-text {
    font-size: 32px;
    fill: #730e23;
    position: absolute;
    z-index: 10;
    top: 50%;
    left: 50%;
    font-family: "georgia", sans-serif;
    transform: translate(-50%, -50%);
}

.time-text, .time-label {
    visibility: visible !important;
    opacity: 1 !important;
    z-index: 1;
    font-family: "georgia", sans-serif;
    transform: rotate(90deg);
}

.time-label {
    font-size: 26px;
    fill: #730e23;
    position: absolute;
    z-index: 10;
    top: 50%;
    left: 50%;
}


.chat {
    border: 1px solid #730e23;
    padding: 10px 10px 15px 10px;
    width: 100%;
    box-sizing: border-box;
}
.chat:hover {
    background-color: #e6ddd7;
}